# Generated from jenkinsutil-1.0.72.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jenkinsutil

Name: rubygem-%{gem_name}
Version: 1.0.72
Release: 1%{?dist}
Summary: Gem for managing tasks in CI
License: MIT
URL: http://www.l4digital.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(test-unit) = 3.2.2
# BuildRequires: rubygem(ci_reporter_test_unit) >= 1.0
# BuildRequires: rubygem(ci_reporter_test_unit) < 2
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) = 0.12.0
# BuildRequires: rubygem(simplecov-cobertura) >= 1.2
# BuildRequires: rubygem(simplecov-cobertura) < 2
# BuildRequires: rubygem(simplecov-cobertura) = 1.2.0
# BuildRequires: rubygem(simplecov-rcov) >= 0.2
# BuildRequires: rubygem(simplecov-rcov) < 1
# BuildRequires: rubygem(simplecov-rcov) = 0.2.3
# BuildRequires: rubygem(rubocop) >= 0.45
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop) = 0.45.0
# BuildRequires: rubygem(ruby-debug-ide) >= 0.6
# BuildRequires: rubygem(ruby-debug-ide) < 1
BuildArch: noarch

%description
Gem for managing tasks in CI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/jenkinsutil
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rbenv-gemsets
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_instdir}/exe
%{gem_instdir}/jenkins
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/JenkinsUtil.gemspec
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.72-1
- Initial package
